Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159220 - at daemon updates for new audit system
Summary: at daemon updates for new audit system
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: at
Version: 4.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
: ---
Assignee: Jason Vas Dias
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-05-31 17:51 UTC by Steve Grubb
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHEA-2005-244
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 13:50:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2005:244 qe-ready SHIPPED_LIVE at(1) bug fix update 2005-10-05 04:00:00 UTC

Description Steve Grubb 2005-05-31 17:51:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
The pam configuration of the at daemon needs to be updated for the new audit system. It needs the following line added:

session    required     pam_loginuid.so

The Requires line will also need to be updated to show the right version of pam that includes the pam_loginuid module.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. New functionality

Additional info:

* the same modification can be done for rawhide. In that case, pam version 0.79-6 and later should have the loginuid module.

Comment 1 Jason Vas Dias 2005-05-31 20:12:18 UTC
I'll update the /etc/pam.d/crond file to require 
'session required pam_loginuid.so'
when pam_loginuid is in RHEL-4 , and in rawhide
on next cron update.

Comment 2 Jason Vas Dias 2005-06-03 18:40:18 UTC
Now fixed with at-3.1.8-78 in Rawhide - waiting for pam_loginuid
module to be in RHEL-4 before I submit it there.

Comment 5 Steve Grubb 2005-06-17 12:54:25 UTC
Just an update. Pam is finalized for RHEL4-U2. This package probably should have:

Requires: pam >= 0.77-66.8

I need to collect all packages before Monday. Sorry for the short notice, things
got backed up. Would you let me know when this package is ready for IBM. Thanks.

Comment 6 Jason Vas Dias 2005-06-17 18:20:23 UTC
at-3.1.8-78_EL4 now submitted to RHEL-4 (errata RHBA-2005:244)
with an /etc/pam.d/atd that requires pam_loginuid.so .

Comment 9 Red Hat Bugzilla 2005-10-05 13:50:33 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2005-244.html



Note You need to log in before you can comment on or make changes to this bug.